Page MenuHomePhabricator

Always generate Enums for dialects in add_mlir_dialect()
AcceptedPublic

Authored by mehdi_amini on Mar 14 2020, 6:06 PM.

Details

Summary

This allows to move the LLVM and Standard dialects to use this as well.

Diff Detail

Event Timeline

mehdi_amini created this revision.Mar 14 2020, 6:06 PM
mravishankar resigned from this revision.Mar 17 2020, 12:44 PM
bmahjour removed a subscriber: bmahjour.Mar 17 2020, 1:00 PM
jpienaar accepted this revision.Mar 19 2020, 8:48 AM
This revision is now accepted and ready to land.Mar 19 2020, 8:48 AM
aartbik accepted this revision.Apr 9 2020, 11:06 AM

Perhaps add the filename change in the description too just so it is easier to find in a list of CLs?

nicolasvasilache resigned from this revision.Oct 2 2020, 1:25 AM